
#ifndef __ATOFONT_SO_H
#define __ATOFONT_SO_H

struct atostringobject {
  int   nvertices;
  float width;
  float height;
  float *vertices;
  float *texturecoords;
};

#ifdef __cplusplus
extern "C" {
#endif

/* public functions */
int atofont_string_object_free(struct atostringobject *so);
int atofont_string_object_create(struct atofont *font, char *s, struct atostringobject **oo);
int atofont_string_object_recreate(struct atofont *font, char *s, struct atostringobject *so);
int atofont_string_object_write_billboard(struct atostringobject *so, float x, float y, float z, int flags);
int atofont_string_object_write_2D(struct atostringobject *so, float x, float y, int flags);

#ifdef __cplusplus
}
#endif

#endif
